Kemp Support, how can we help?

The latest application delivery knowledge and expertise at your fingertips.

Update has failed

 

Information

 

Summary:

Error fm-update-67e163 or fm-update-6532ad occured during an upgrade to FOS 12.

Environment:

Product: Flowmon

Version: FOS 11.X.X and FOS 12.X.X

Platform: Any

Question/Problem Description:

During update of Flowmon is shows error message "Error fm-update-67e163" or "Error fm-update-6532ad"

One of the packages cannot be installed during rpm test.

In /var/log/pkg_install.log are errors:

Testing RPM packages failed.
error: db5 error(-30973) from dbenv->open: BDB0087 DB_RUNRECOVERY: Fatal error, run database recovery
error: cannot open Packages index using db5 -  (-30973)
error: cannot open Packages database in /var/lib/rpm
Steps to Reproduce:  
Error Message:

fm-update-6532ad - FOS 12.02.03 and higher

fm-update-67e163 - Up to version FOS 12.02.02.

Defect Number: FLMON-2337,FLMON-4693
Enhancement Number:  
Cause: Corrupted database of installed RPM packages.
Resolution:

Apply hotfix package (Configuration Center -> Versions -> Import package), which deletes the original RPM database and then initialize rebuild.

Upgrade FOS again (Configuration Center -> Versions).

If the hotfix won't solve the issue, and pkg_install.log contains:

Testing RPM packages failed.
warning: nodejs-16.20.2-1nodesource.x86_64.rpm: Header V4 RSA/SHA512 Signature, key ID 9b1be0b4: NOKEY
warning: rabbitmq-server-3.7.28-1.el7.noarch.rpm: Header V4 RSA/SHA256 Signature, key ID 6026dfca: NOKEY
file /var/www/locale/sortTranslations.php from install of flowmon-gui-12.03.02-2311201811.x86_64 conflicts with file from package limd-gui-12.00.01-2205021156.x86_64

Then, updating FPI to 12.1 or IDS Probe 3.3.1 (or newer) is necessary.

Workaround:  
Notes:

Hotfix:
https://nextcloud.flowmon.com/index.php/s/N73ikYjKwHDPzbM


Was this article helpful?
0 out of 0 found this helpful

Comments